GenLib User's Manual
<<< Previous |  | Next >>>

# DPGEN_BUFF

## Name

DPGEN_BUFF -- Buffer Macro-Generator

## Synopsis

    #include  <genlib.h>

``void `GENLIB_MACRO``(DPGEN_BUFF, char *`modelname`, long `flags`, long `N`, long `drive`);`

## Description

Generate a N bits buffer with an output power of drive named modelname.

Valid drive are : 2, 3 or 4.

### Terminal Names

1. `i0` : input.

2. `q` : output.

3. `vdd` : power.

4. `vss` : ground.

### Behavior

q <= i0

## Example

    GENLIB_MACRO( DPGEN_BUFF
                , "model_buff_32"
                , F_BEHAV|F_PLACE
                , 32
                , 4
                );

    GENLIB_LOINS( "model_buff_32"
                , "instance1_buff_32"
                , "i0[31:0]", "q[31:0]"
                , "vdd", "vss", NULL
                );

## See Also

GENLIB_MACRO(3), genlib(1)

<<< Previous | Home | Next >>>
DPGEN_INV | Up | DPGEN_NAND2